# Stuff to be implemented externally :
Source10: kmodtool_nocommon
%define   kmodtool sh %{SOURCE10}
# End stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.26-5}

%define kmod_name exmap
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)
%define kvariants "" PAE
%define upvar ""
%{!?kvariants: %define kvariants %{?upvar}}


Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary: 	Kernel module for exmap memory analyzer tool
Name: 		%{kmod_name}-kmod
Version: 	0.10
Release: 	9.%(echo %{kverrel} | tr - _)
Group: 		System/Configuration/Hardware
License: 	Distributable
URL:            http://www.berthels.co.uk/exmap

Source0:        exmap-%{version}.tgz
Patch0:		exmap-kernel2626.patch
Patch1:		exmap-gcc43.patch
ExclusiveArch:  i686
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
Kernel module for the exmap analyzer tool.

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}

%prep
# to understand the magic better or to debug it, uncomment this:
#{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -c -T -a 0
%patch0 -p0
%patch1 -p0
for kvariant in %{kvariants} ; do
    cp -a exmap-%{version} _kmod_build_$kvariant
done


%build
for kvariant in %{kvariants}
do
    ksrc=%{_usrsrc}/kernels/%{kverrel}.%{_target_cpu}${kvariant:+.$kvariant}
    cd _kmod_build_$kvariant
    make KERNELPATH="${ksrc}" KERNELRELEASE=%{kverrel}${kvariant} UUDECODE=/usr/bin/uudecode
    cd ..
done


%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants}
do
    ksrc=%{_usrsrc}/kernels/%{kverrel}.%{_target_cpu}${kvariant:+.$kvariant}
    cd _kmod_build_$kvariant
    mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kverrel}.%{_target_cpu}${kvariant:+.$kvariant}/extra/%{kmod_name}
    cp kernel/exmap.ko $RPM_BUILD_ROOT/lib/modules/%{kverrel}.%{_target_cpu}${kvariant:+.$kvariant}/extra/%{kmod_name}
    cd ..
done
chmod 0755 $RPM_BUILD_ROOT/lib/modules/%{kverrel}.%{_target_cpu}${kvariant:+.$kvariant}/extra/%{kmod_name}/*

%clean
%{__rm} -rf %{buildroot}


%changelog
* Sun Jul 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10-9
- fixed kernel dependency
* Fri Jul 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10-8
- kernel 2.6.26-5
* Sun Jul 20 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10-7
- kernel 2.6.26-3
* Mon Jun 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10-6
- kernel 2.6.25-14
* Fri May 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10-5
- kernel 2.6.25-7
* Sat May 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10-4
- kernel 2.6.25-6
* Fri May 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10-3
- kernel 2.6.25-4
* Sat Apr 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10-2
- kernel 2.6.25-3
* Tue Apr 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10-1
- Initial Release
- kernel 2.6.24-11
